/*
 * Copyright (C) 2023 Cristian Sabio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.cristian.libtxz;

import org.kamranzafar.jtar.TarOutputStream;
import java.io.OutputStream;
import org.tukaani.xz.LZMA2Options;
import org.tukaani.xz.XZOutputStream;
import java.io.IOException;

/**
 * This class represents an output stream of the Tar+XZ Archiving format.
 * @author Cristian
 */
public class TXZOutputStream extends TarOutputStream {
    public TXZOutputStream(OutputStream Out, int CompressionLevel) throws IOException {super(new XZOutputStream(Out, new LZMA2Options(CompressionLevel)));}
}
